package bzr4idea.util;

/**
 * @author Patrik Beno
 */
public class Message {

  String pattern;
  Object[] args;

  static public Message message(String pattern, Object... args) {
    return new Message(pattern, args);
  }

  Message(String pattern, Object ... args) {
    this.pattern = pattern;
    this.args = args;
  }

  public String getPattern() {
    return pattern;
  }

  public Object[] getArgs() {
    return args;
  }

  public String render() {
    return String.format(getPattern(), getArgs());
  }

  @Override
  public String toString() {
    return render();
  }
}
