package bzr4idea.util;

import git4idea.i18n.GitBundle;

/**
 * Bazaar VCS client public error message
 *
 * @author Alexey Stukalov
 */
public class UserMessage extends Message {

  String messageId;

  static public UserMessage userMessage(String messageId, Object... args) {
    return new UserMessage(messageId, args);
  }

  UserMessage(String messageId, Object... args) {
    super("", args);
    this.messageId = messageId;
  }

  public String getMessageId() {
    return messageId;
  }

  @Override
  public String getPattern() {
    if (pattern == null) {
      pattern = resolvePattern(messageId);
    }
    return pattern;
  }

  String resolvePattern(String messageId) {
    return GitBundle.getString(messageId);
  }
}
